Restofy Docs

Historial de trabajos de impresión

POST /api/print-jobs/list-print-jobs

Descripción

Retorna el listado paginado de trabajos de impresión recientes del restaurante.

Detalles

Devuelve hasta los 100 trabajos de impresión más recientes con su impresora, estación y estado, del más nuevo al más antiguo, en páginas. Permite acotar por texto de impresora, estado, impresora puntual y rango de fechas. No incluye el contenido del trabajo: ese se consulta aparte.

Permisos requeridos

admin.module

Request

Nombre Tipo Requerido Reglas
search string No
max:100
status string No
max:20
printerId int No
min_value:1
dateFrom string No
max:30
dateTo string No
max:30

Paginación

defaultLimit 15
maxLimit 100
allowedSorts createdAt
defaultSort createdAt
defaultDir desc
withTotal true

Ejemplo de request

curl -X POST https://app.restofy.co/api/print-jobs/list-print-jobs \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer <accessToken>"

Los valores son demo: reemplázalos por datos reales del negocio.

Ejemplo de respuesta

Actualizado: 2026-07-15T13:20:48Z
HTTP 200

Request

{
    "status": "pending",
    "limit": 100
}

Response

{
    "success": true,
    "message": "Operación realizada correctamente",
    "data": {
        "printJobs": [
            {
                "printJobUuid": "c3769e0e-7eb3-11f1-ac02-f2368af4d8ac",
                "printerUuid": "50efae4b-7fec-44a8-bf33-576f80bb2da5",
                "printerName": "Comandera adm 6a5789109fe56",
                "stationName": "Estacion adm 6a5789106d015",
                "status": "pending",
                "hasResponse": 0,
                "createdAt": "2026-07-15T13:20:17.000Z",
                "printedAt": null,
                "updatedAt": "2026-07-15T13:20:17.000Z"
            },
            {
                "printJobUuid": "c282f681-7eb3-11f1-ac02-f2368af4d8ac",
                "printerUuid": "c17027ab-b245-4732-a05a-0e96fd2e0f67",
                "printerName": "Comandera adm 6a57890f08dff",
                "stationName": "Estacion adm 6a57890ecbdc0",
                "status": "pending",
                "hasResponse": 0,
                "createdAt": "2026-07-15T13:20:15.000Z",
                "printedAt": null,
                "updatedAt": "2026-07-15T13:20:15.000Z"
            },
            {
                "printJobUuid": "c2014628-7eb3-11f1-ac02-f2368af4d8ac",
                "printerUuid": "ecb3b0ae-a414-4ab8-9947-b22c0c39665d",
                "printerName": "Comandera adm 6a57890e21af9",
                "stationName": "Estacion adm 6a57890dde087",
                "status": "pending",
                "hasResponse": 0,
                "createdAt": "2026-07-15T13:20:14.000Z",
                "printedAt": null,
                "updatedAt": "2026-07-15T13:20:14.000Z"
            }
        ],
        "pagination": {
            "page": 1,
            "limit": 100,
            "total": 3,
            "totalPages": 1,
            "hasNext": false,
            "hasPrev": false
        }
    }
}